curl --request POST \
--url https://api.ekiden.fi/api/v1/order/place-batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"request": [
{
"close_on_trigger": true,
"margin_mode": "Cross",
"order_type": "Limit",
"post_only": true,
"price": "<string>",
"qty": "<string>",
"reduce_only": true,
"side": "Sell",
"sub_account_address": "<string>",
"symbol": "BTCUSDC",
"time_in_force": "GTC",
"expire_time": "1672531200000",
"order_link_id": "<string>",
"slippage_tolerance": {
"tick_size": 1
},
"smp_group": 1,
"smp_type": "CancelMaker",
"tpsl": {
"mode": "Full",
"stop_loss": {
"market": {
"trigger_by": "LastPrice",
"trigger_price": "<string>"
}
},
"take_profit": {
"market": {
"trigger_by": "LastPrice",
"trigger_price": "<string>"
}
}
},
"trigger": {
"trigger_by": "LastPrice",
"trigger_direction": "Up",
"trigger_price": "<string>"
}
}
]
}
'